$(function()
{
	var fails = 0;
	var wins = 0;
	var math = [["73 − 25 : 5",68],["48 : 8 − 2",4],["45 − 35 : 7",40],["54 : 9 − 1",5]];
	var numbers = [[68, 78, 88],[2, 4, 6],[30, 40, 50],[5, 7, 9]];
	var turn = 0;

	$('.start').click(function(){
		$(this).fadeOut();
		makeTurn();
		
		$('.result:visible').fadeOut();
	});

	function makeTurn() {
			$('.girl').each(function(){
			$(this).find('.back').fadeOut();
			$(this).find('.front').fadeIn();
			$(this).find('.text').fadeIn();
			});

			$('.math').text(math[turn][0]);

			$('.timebar .cover').animate({width:'840px'},8000,'linear',function(){
			turn++;
			fails++;
			$('.result').fadeIn();
			endTurn();
			});

			$('.girl .text').each(function(i){
			$(this).text(numbers[turn][i]);
			});
			$('.girl').click(click);
	}

	function endTurn(){
		$('.girl').unbind('click');
		$('.girl').each(function(){
			$(this).find('*:not(.back)').fadeOut();
			$(this).find('.back').fadeIn();
			})


		$('.timebar .cover').animate({width:'0'},1000,function(){
		if (turn < 4)
		{
		$('.start').fadeIn();
		}
		else
		{
		$('.result').html('KONIEC')
			.addClass('end')
			.fadeIn();
		}
		});

	};

	var click = function(){
		if (Number($(this).text()) === math[turn][1])
		{
		$('.girl').unbind('click');
		$('#jplayer_well').jPlayer('play');
		$('.timebar .cover').stop();
		$('.girl').each(function(){
			dance($(this));
			});
		turn++;
		wins++;
		
		} else $('#jplayer_wrong').jPlayer('play');
	};

	function dance(obj){
		obj.find('.front,.text').fadeOut();
			obj.find('.squat').fadeIn(function()
			{
			$(this).fadeOut();
				obj.find('.hop').fadeIn(function(){
					$(this).fadeOut();
					obj.find('.front').fadeIn(function(){if (obj.index() === 0) endTurn();});
				});
			});
		}
});